From 0c88f93242162ba5fd3b79c6521a437b6606f3c2 Mon Sep 17 00:00:00 2001
From: Juwana Zerman <38802201+Juwana-Zerman@users.noreply.github.com>
Date: Nov 05 2021 19:56:48 +0000
Subject: [PATCH 1/4] Update install guide link in footer to F35


---

diff --git a/flocktofedora.org/data/templates/footer.html b/flocktofedora.org/data/templates/footer.html
index da115f6..498a892 100644
--- a/flocktofedora.org/data/templates/footer.html
+++ b/flocktofedora.org/data/templates/footer.html
@@ -58,7 +58,8 @@
                                 <dd><a href="//ask.fedoraproject.org/">${_('Ask Fedora')}</a></dd>
                                 <dd><a href="//fedoraproject.org/wiki/Common_F${global_variables.release['curr_id']}_bugs">${_('Common Bugs')}</a></dd>
                                 <dd><a href="//developer.fedoraproject.org/">${_('Fedora Developer Portal')}</a></dd>
-                                <dd><a href="//docs.fedoraproject.org/en-US/fedora/f31/install-guide/">${_('Installation Guide')}</a></dd>
+                                <dd><a href="//docs.fedoraproject.org/en-US/fedora/f35/install-guide/">${_('Installation
+                                        Guide')}</a></dd>
                             </dl>
                         </div>
                     </div>

From b7e23d63bf15dd14d398c8dce6f20ca4b2038bbe Mon Sep 17 00:00:00 2001
From: Juwana Zerman <38802201+Juwana-Zerman@users.noreply.github.com>
Date: Nov 05 2021 19:56:48 +0000
Subject: [PATCH 2/4] Update link to use current release variable


---

diff --git a/flocktofedora.org/data/templates/footer.html b/flocktofedora.org/data/templates/footer.html
index 498a892..467c293 100644
--- a/flocktofedora.org/data/templates/footer.html
+++ b/flocktofedora.org/data/templates/footer.html
@@ -58,7 +58,7 @@
                                 <dd><a href="//ask.fedoraproject.org/">${_('Ask Fedora')}</a></dd>
                                 <dd><a href="//fedoraproject.org/wiki/Common_F${global_variables.release['curr_id']}_bugs">${_('Common Bugs')}</a></dd>
                                 <dd><a href="//developer.fedoraproject.org/">${_('Fedora Developer Portal')}</a></dd>
-                                <dd><a href="//docs.fedoraproject.org/en-US/fedora/f35/install-guide/">${_('Installation
+                                <dd><a href="//docs.fedoraproject.org/en-US/fedora/f${global_variables.release['curr_id']}/install-guide/">${_('Installation
                                         Guide')}</a></dd>
                             </dl>
                         </div>

From aa09890d59ffb94d4355400ca8adc6246a1b2bde Mon Sep 17 00:00:00 2001
From: Juwana Zerman <38802201+Juwana-Zerman@users.noreply.github.com>
Date: Nov 05 2021 21:17:17 +0000
Subject: [PATCH 3/4] Revert "Update install guide link in footer to F35"

This reverts commit 7e72d617ce14eab79ded9e9ca50b455d0a1ba172.

---

diff --git a/et --hard 7e72d617ce14eab79ded9e9ca50b455d0a1ba172^ b/et --hard 7e72d617ce14eab79ded9e9ca50b455d0a1ba172^
new file mode 100644
index 0000000..ca7c86e
--- /dev/null
+++ b/et --hard 7e72d617ce14eab79ded9e9ca50b455d0a1ba172^
@@ -0,0 +1,207 @@
+[33mcommit 6770feb4c4553a4965c4c113358a365dbac5e241[m[33m ([m[1;36mHEAD -> [m[1;32mflocktofedora.installguide-link-update[m[33m, [m[1;31morigin/flocktofedora.installguide-link-update[m[33m)[m
+Author: Juwana Zerman <38802201+Juwana-Zerman@users.noreply.github.com>
+Date:   Thu Nov 4 20:00:47 2021 -0400
+
+    Update link to use current release variable
+
+[33mcommit 7e72d617ce14eab79ded9e9ca50b455d0a1ba172[m
+Author: Juwana Zerman <38802201+Juwana-Zerman@users.noreply.github.com>
+Date:   Thu Nov 4 19:21:28 2021 -0400
+
+    Update install guide link in footer to F35
+
+[33mcommit c789731366673b7cbc46e63047021f7b7bddf877[m[33m ([m[1;31morigin/master[m[33m, [m[1;31morigin/HEAD[m[33m, [m[1;32mmaster[m[33m)[m
+Author: Justin W. Flory (he/him) [Fedora Project] <jwf@fedoraproject.org>
+Date:   Wed Oct 27 21:10:39 2021 +0200
+
+    docs: Convert docs.fp.o/websites/ to publish from this repository
+    
+    Several changes are condensed into this commit. It takes the base W&A
+    team documentation site, converts into a friendly format for this
+    repository, and modernizes all the existing content there. For
+    posterity's sake, the squashed commit log is below:
+    
+    Signed-off-by: Justin W. Flory (he/him) [Fedora Project] <jwf@fedoraproject.org>
+    
+    ---
+    
+    * gitignore: Add Antora build caches and output directories
+    * build.sh: Update from pagure.io/fedora-docs/template
+    * antora: Move build scripts to root directory
+    * Add "& Apps" to title, set start_path to docs
+            * This tells the Antora playbook to look into the `docs/` directory
+              for the content to serve.
+    * modules: Split instructional content into new "runbook" module
+            * This will be part of a growing compilation of docs and information
+              about how the Websites & Apps team is run and how we organize
+              ourselves.
+    * runbook: Create an index page and describe role/function of runbook
+    * Rewrite index page
+            * This is a near-complete restructure of the index page for the W&A
+              team. This merges in relevant content and information from the
+              Sphinx docs `index.rst` file with the current `index.adoc` used
+              for the team.
+            * I also restructured the opening and tried to update copy with
+              current information and approaches. Some content was removed if it
+              was no longer made sense in our current form.
+    * runbook: Create dedicated page about team meetings
+    * runbook: Add page-aliases to redirect from old URL namespace
+            * Since these pages existed previously, using the `page-aliases`
+              directive will cause them to redirect to their new location in the
+              `runbook` module.
+    * dev: Create new module from setup documentation
+            * This commit puts together a new module to gather developer
+              content. For now, this just pulls from the content that was
+              already published in the root module.
+    * dev: Add an index page to developer docs
+    * old_docs: Move remaining page from old docs into ROOT module
+    * ROOT: Convert old websites_release ReST doc to AsciiDoc
+            * Not publishing it clearly, but keeping it here for future review
+              by the team to ensure accuracy.
+    * ROOT: Add translation doc page to module navigation
+    * legal: Update to CC BY-SA 4.0 :heart:
+            * This follows the somewhat-recent decision by Fedora to update its
+              Creative Common licensing from 3.0 Unported to 4.0.
+    * README: Add docs.fp.o/websites/ as a site hosted from this repo
+
+[33mcommit 4cee3d251ec7c9eda262a8a303ca43c6cd11e42d[m
+Author: Justin W. Flory (he/him) [Fedora Project] <jwf@fedoraproject.org>
+Date:   Wed Oct 27 21:07:44 2021 +0200
+
+    Initial import of docs repo at https://pagure.io/fedora-docs/websites
+    
+    A new baseline of the initial docs website without any changes.
+    
+    Signed-off-by: Justin W. Flory (he/him) [Fedora Project] <jwf@fedoraproject.org>
+
+[33mcommit 0f30b5693442646bedf63b383ca6b0bd6db88ff6[m
+Author: Justin W. Flory (he/him) [Fedora Project] <jwf@fedoraproject.org>
+Date:   Wed Oct 27 21:00:00 2021 +0200
+
+    Temporarily relocate old documentation
+    
+    Signed-off-by: Justin W. Flory (he/him) [Fedora Project] <jwf@fedoraproject.org>
+
+[33mcommit b5449b58bc433f68a921d67112571163ce6a0d77[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Thu Oct 21 21:12:55 2021 +0200
+
+    build_all: can now be used for stg/prod build
+
+[33mcommit 35a1ace37941dfadda43ab1a7b495917b9c5981a[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Thu Oct 7 21:39:57 2021 +0200
+
+    add new build_all script for CI
+    
+    This script build all websites in one location
+    and will be used by our CI system to preview PR changes
+
+[33mcommit cf91c400b72e84f463714e4cd39798d904dc2fae[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Mon Oct 11 10:13:43 2021 +0200
+
+    use basepath where it's needed
+
+[33mcommit 16a5de4bf9df5fe114c0cecb5187a6b61b169416[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Tue Nov 2 17:54:10 2021 +0100
+
+    spins: fix cinnamon download link
+
+[33mcommit 43cd5771a85f75fd235494ffb7159b7bd813b8b1[m[33m ([m[1;31morigin/f35[m[33m)[m
+Author: Rick Elrod <rick@elrod.me>
+Date:   Sun Oct 31 23:48:05 2021 -0500
+
+    f35
+    
+    Signed-off-by: Rick Elrod <rick@elrod.me>
+
+[33mcommit e39d2d8f34c594232d1b495b41d5d2f9d11173c3[m[33m ([m[1;31morigin/f35-beta[m[33m)[m
+Author: Rick Elrod <rick@elrod.me>
+Date:   Sun Sep 26 23:59:25 2021 -0500
+
+    Bump for f35 beta
+    
+    Signed-off-by: Rick Elrod <rick@elrod.me>
+
+[33mcommit a533e005936c94c6685a7f087e32672086b690b6[m
+Author: Emanuele Petriglia <inbox@emanuelepetriglia.com>
+Date:   Fri Sep 10 18:19:11 2021 +0200
+
+    Fix "i3wn" to "i3wm"
+
+[33mcommit 7f463049d08b1acb8f022b6bfd477ed7edeb292d[m
+Author: Onuralp SEZER <thunderbirdtr@fedoraproject.org>
+Date:   Wed Aug 25 16:20:02 2021 +0300
+
+    fpo everything iso checksum fix attempt
+
+[33mcommit 35943e0a6d083c5b80999816bb958f83e94f2483[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Mon Aug 16 00:21:27 2021 +0200
+
+    add language button to fedoracommunity
+
+[33mcommit ee96923c9ab9ea74fb14c6ab3c6dd5ac29891e83[m
+Author: Gaurav Tewari <gauravtewari111@gmail.com>
+Date:   Thu Aug 12 16:13:02 2021 +0530
+
+    nest banner removed
+
+[33mcommit ee50a970ab5333d179674d3d6dcfcc775d0bdba6[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Tue Aug 10 21:10:25 2021 +0200
+
+    handle pre-commit hook for pot update
+
+[33mcommit 8cae4ab00dbc43b262630ff556cdc4746617061a[m
+Author: Ben Cotton <bcotton@fedoraproject.org>
+Date:   Wed Aug 4 21:14:11 2021 -0400
+
+    Add DLN as a media sponsor
+
+[33mcommit 58e2451054309bbdc8d466ddc62119b9f9cc832c[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Fri Jul 30 00:28:50 2021 +0200
+
+    add mime overrides for additional languages
+
+[33mcommit 629228120b89ecc8fd71c912f4dc0189c327a80b[m
+Author: Francois Andrieu <darknao@fedoraproject.org>
+Date:   Sun Jul 4 18:08:40 2021 +0200
+
+    redesign language menu and drop jquery.uls
+
+[33mcommit c21a581b1022e429d12b79bd3134ff67beb01a8d[m
+Author: Ben Cotton <bcotton@fedoraproject.org>
+Date:   Fri Jul 30 09:22:55 2021 -0400
+
+    Add It's FOSS as a sponsor
+
+[33mcommit b7874db1ee4d2f290ebf26fcff3081f8fddcdf6b[m
+Author: Ben Cotton <bcotton@fedoraproject.org>
+Date:   Mon Jul 26 10:09:32 2021 -0400
+
+    Update CfP/schedule/registration
+
+[33mcommit 936a6b4de7fd5cfd443acbf34f34e8c7cf3ab551[m
+Author: Ben Cotton <bcotton@fedoraproject.org>
+Date:   Mon Jul 26 10:01:39 2021 -0400
+
+    Update the IRC server
+
+[33mcommit 6a44e07196ddef855682c648312890ad108b8aaa[m
+Author: Ben Cotton <bcotton@fedoraproject.org>
+Date:   Tue Jul 20 09:23:53 2021 -0400
+
+    Add new Nest sponsors
+
+[33mcommit 3b56da61f30db1602f42cfc807a0d490c6f11a7b[m
+Author: lilyx <lilyx13@tutanota.com>
+Date:   Sat Jul 17 00:35:50 2021 -0600
+
+    nest banner improved size and padding
+
+[33mcommit 7c2b3b106672a1f0700c42ec03acf1ef60f063fd[m
+Author: lilyx <lilyx13@tutanota.com>

From bb1b402452298fb5b1b2c6562789e1a2b2456a8c Mon Sep 17 00:00:00 2001
From: Juwana Zerman <38802201+Juwana-Zerman@users.noreply.github.com>
Date: Nov 05 2021 21:24:31 +0000
Subject: [PATCH 4/4] Merge branch 'flocktofedora.installguide-link-update' of ssh://pagure.io/forks/jzerman/fedora-websites into flocktofedora.installguide-link-update


---

diff --git a/alt.fedoraproject.org/static/images/favicon.ico b/alt.fedoraproject.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/alt.fedoraproject.org/static/images/favicon.ico and b/alt.fedoraproject.org/static/images/favicon.ico differ
diff --git a/arm.fedoraproject.org/static/images/favicon.ico b/arm.fedoraproject.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/arm.fedoraproject.org/static/images/favicon.ico and b/arm.fedoraproject.org/static/images/favicon.ico differ
diff --git a/budget.fedoraproject.org/static/images/favicon.ico b/budget.fedoraproject.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/budget.fedoraproject.org/static/images/favicon.ico and b/budget.fedoraproject.org/static/images/favicon.ico differ
diff --git a/fedoracommunity.org/data/templates/css.html b/fedoracommunity.org/data/templates/css.html
index 5c59322..7dcb318 100644
--- a/fedoracommunity.org/data/templates/css.html
+++ b/fedoracommunity.org/data/templates/css.html
@@ -15,7 +15,7 @@
         <link rel="stylesheet" type="text/css" href="${path}/static/css/ie7.css" media="screen" />
     <![endif]-->
 
-    <noscript> 
+    <noscript>
         <link rel="stylesheet" type="text/css" media="all" href="${path}/static/css/nojs.css" />
-    </noscript> 
+    </noscript>
 </html>
diff --git a/fedoracommunity.org/static/images/favicon.ico b/fedoracommunity.org/static/images/favicon.ico
new file mode 100644
index 0000000..c39d252
Binary files /dev/null and b/fedoracommunity.org/static/images/favicon.ico differ
diff --git a/fedoraproject.org/static/images/favicon.ico b/fedoraproject.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/fedoraproject.org/static/images/favicon.ico and b/fedoraproject.org/static/images/favicon.ico differ
diff --git a/flocktofedora.org/static/images/favicon.ico b/flocktofedora.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/flocktofedora.org/static/images/favicon.ico and b/flocktofedora.org/static/images/favicon.ico differ
diff --git a/getfedora.org/static/images/favicon.ico b/getfedora.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/getfedora.org/static/images/favicon.ico and b/getfedora.org/static/images/favicon.ico differ
diff --git a/labs.fedoraproject.org/static/images/favicon.ico b/labs.fedoraproject.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/labs.fedoraproject.org/static/images/favicon.ico and b/labs.fedoraproject.org/static/images/favicon.ico differ
diff --git a/spins.fedoraproject.org/static/images/favicon.ico b/spins.fedoraproject.org/static/images/favicon.ico
index a912017..c39d252 100644
Binary files a/spins.fedoraproject.org/static/images/favicon.ico and b/spins.fedoraproject.org/static/images/favicon.ico differ
diff --git a/start.fedoraproject.org/static/images/favicon.ico b/start.fedoraproject.org/static/images/favicon.ico
new file mode 100644
index 0000000..c39d252
Binary files /dev/null and b/start.fedoraproject.org/static/images/favicon.ico differ
diff --git a/tools/build_all.sh b/tools/build_all.sh
index 88a728f..62788d5 100755
--- a/tools/build_all.sh
+++ b/tools/build_all.sh
@@ -17,6 +17,7 @@ sites+=(start.fedoraproject.org)
 for site in ${sites[@]}; do
   (
   set -e
+  set -o pipefail
   echo
   echo "**** Building $BUILD_ENV $site to ${OUTPUT}/${site} ****"
   pushd $site

